cprintf("Zaczynamy");

ReadDataKDM();
ReadDataUZP("Zad_KAN-T1.uzp");

PrzepiszMoce("KAN");


function PrzepiszMoce(kod_stacji)
{
  var odb_org = LodArray.Find( kod_stacji + "-T1", kod_stacji + "111");
  var odb_nowy_1 = LodArray.Find( kod_stacji + "-O1", kod_stacji + "511");
  var odb_nowy_2 = LodArray.Find( kod_stacji + "-O2", kod_stacji + "521");

  cprintf("Moc wejciowa");
  cprintf(odb_org.Name + " " + odb_org.Pl);

  odb_nowy_1.Pl = odb_org.Pl/2;
  odb_nowy_2.Pl = odb_org.Pl/2;

  odb_nowy_1.Ql = odb_org.Ql/2;
  odb_nowy_2.Ql = odb_org.Ql/2;

  odb_org.St = -1;
  LodArray.Del(odb_org.ID);

  odb_nowy_1.Name = kod_stacji + "-T1";
  odb_nowy_2.Name = kod_stacji + "-T2";

  cprintf("Moce wyjciowe");
  cprintf(odb_nowy_1.Name + " " + odb_nowy_1.Pl);
  cprintf(odb_nowy_2.Name + " " + odb_nowy_2.Pl);

  CalcLf();

  
  //korekta o straty  
  
  var trf = BraArray.Find(kod_stacji + "-T1A");
  
  var dp = odb_org.Pl - (-trf.Pbeg);   //przepyw na trf jest od pocz do koca, czyli Pbeg jest z Plusem
  var dq = odb_org.Ql - (-trf.Qbeg);   //  dp, dq - wartoci wiksze od zera
  
  cprintf("Rnica w przepywie na transformatorze");
  cprintf(dp);

  odb_nowy_1.Pl += dp/2; 
  odb_nowy_2.Pl += dp/2;

  odb_nowy_1.Ql += dq/2;
  odb_nowy_2.Ql += dq/2;
    
  cprintf("Moce skorygowane");
  cprintf(odb_nowy_1.Name + " " + odb_nowy_1.Pl);
  cprintf(odb_nowy_2.Name + " " + odb_nowy_2.Pl);
  
  CalcLf();
}
